import express, {Router} from 'express';
import controller from '../controllers/Generic';
import model from '../models/Category';

const router: Router = express.Router();

router.get('/', controller.getAll(model));
router.post('/', controller.create(model));
router.get('/:id', controller.get(model));

export = router;
